summaryrefslogtreecommitdiff
path: root/~lukeshu/parabolaweb-git/parabolaweb.init.sh
diff options
context:
space:
mode:
Diffstat (limited to '~lukeshu/parabolaweb-git/parabolaweb.init.sh')
-rw-r--r--~lukeshu/parabolaweb-git/parabolaweb.init.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/~lukeshu/parabolaweb-git/parabolaweb.init.sh b/~lukeshu/parabolaweb-git/parabolaweb.init.sh
new file mode 100644
index 000000000..cb9f2441e
--- /dev/null
+++ b/~lukeshu/parabolaweb-git/parabolaweb.init.sh
@@ -0,0 +1,52 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+HOST=127.0.0.1
+PORT=8090 # 80 is nginx
+PIDFILE=/var/run/web/fcgi.pid
+
+case $1 in
+start)
+ stat_busy "Starting ParabolaWeb"
+ if [[ -e /srv/http/web/manage.py ]]; then
+ sudo -u nobody \
+ python2 /srv/http/web/manage.py runfcgi \
+ host=${HOST} \
+ port=${PORT} \
+ pidfile=${PIDFILE} \
+ --settings=settings
+
+ add_daemon parabolaweb
+ stat_done
+ exit 0
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+stop)
+ stat_busy "Stopping ParabolaWeb"
+ if [[ -f ${PIDFILE} ]]; then
+ pid=$(cat ${PIDFILE})
+ kill ${pid}
+ rm_daemon parabolaweb
+ stat_done
+ else
+ stat_fail
+ exit 1
+ fi
+ ;;
+
+restart)
+ $0 stop
+ $0 start
+ ;;
+
+*)
+ echo "Usage: $0 {start|stop|restart}" >&2
+ exit 1
+
+esac